## sendmail 8.14.4-2maemo2

=== debian/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/sendmail
pkgincludedir = $(includedir)/sendmail
pkglibdir = $(libdir)/sendmail
pkglibexecdir = $(libexecdir)/sendmail
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu
subdir = .
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in \
	$(top_srcdir)/./build/debian/libmilter-dev.dirs.in \
	$(top_srcdir)/./build/debian/libmilter-dev.links.in \
	$(top_srcdir)/./build/debian/libmilter-dev.postrm.in \
	$(top_srcdir)/./build/debian/libmilter-dev.preinst.in \
	$(top_srcdir)/./build/debian/libmilter.dirs.in \
	$(top_srcdir)/./build/debian/libmilter.links.in \
	$(top_srcdir)/./build/debian/libmilter.lintian-overrides.in \
	$(top_srcdir)/./build/debian/libmilter.postrm.in \
	$(top_srcdir)/./build/debian/libmilter.preinst.in \
	$(top_srcdir)/./build/debian/rmail.dirs.in \
	$(top_srcdir)/./build/debian/rmail.postrm.in \
	$(top_srcdir)/./build/debian/rmail.preinst.in \
	$(top_srcdir)/./build/debian/sendmail-base.dirs.in \
	$(top_srcdir)/./build/debian/sendmail-base.postinst.in \
	$(top_srcdir)/./build/debian/sendmail-base.postrm.in \
	$(top_srcdir)/./build/debian/sendmail-base.preinst.in \
	$(top_srcdir)/./build/debian/sendmail-base.prerm.in \
	$(top_srcdir)/./build/debian/sendmail-bin.dirs.in \
	$(top_srcdir)/./build/debian/sendmail-bin.postinst.in \
	$(top_srcdir)/./build/debian/sendmail-bin.postrm.in \
	$(top_srcdir)/./build/debian/sendmail-bin.preinst.in \
	$(top_srcdir)/./build/debian/sendmail-bin.prerm.in \
	$(top_srcdir)/./build/debian/sendmail-bin.suid.in \
	$(top_srcdir)/./build/debian/sendmail-cf.dirs.in \
	$(top_srcdir)/./build/debian/sendmail-cf.postrm.in \
	$(top_srcdir)/./build/debian/sendmail-cf.preinst.in \
	$(top_srcdir)/./build/debian/sendmail-doc.dirs.in \
	$(top_srcdir)/./build/debian/sendmail-doc.postrm.in \
	$(top_srcdir)/./build/debian/sendmail-doc.preinst.in \
	$(top_srcdir)/./build/debian/sendmail.cron.daily.in \
	$(top_srcdir)/./build/debian/sendmail.dirs.in \
	$(top_srcdir)/./build/debian/sendmail.init.d.in \
	$(top_srcdir)/./build/debian/sensible-mda.dirs.in \
	$(top_srcdir)/./build/debian/sensible-mda.postrm.in \
	$(top_srcdir)/./build/debian/sensible-mda.preinst.in \
	$(top_srcdir)/./local/sendmail.in \
	$(top_srcdir)/build/autoconf.mk.in \
	$(top_srcdir)/build/autoconf.pl.in \
	$(top_srcdir)/build/autoconf.sh.in \
	$(top_srcdir)/build/debian/changelog.in \
	$(top_srcdir)/build/debian/changelog.sh.in \
	$(top_srcdir)/build/debian/control.m4.in \
	$(top_srcdir)/build/site.config.m4.in \
	$(top_srcdir)/build/update_chaos.in \
	$(top_srcdir)/cf/debian/autoconf.m4.in \
	$(top_srcdir)/cf/debian/sendmail.mc.in \
	$(top_srcdir)/cf/debian/submit.mc.in \
	$(top_srcdir)/cf/domain/debian-msp.m4.in \
	$(top_srcdir)/cf/domain/debian-mta.m4.in \
	$(top_srcdir)/cf/hack/debian_auth.m4.in \
	$(top_srcdir)/cf/hack/virthost_by_ip.m4.in \
	$(top_srcdir)/cf/ostype/debian.m4.in $(top_srcdir)/configure \
	$(top_srcdir)/examples/dhcp/dhclient-exit-hooks.d/sendmail.in \
	$(top_srcdir)/examples/network/if-down.d/sendmail.in \
	$(top_srcdir)/examples/network/if-up.d/sendmail.in \
	$(top_srcdir)/examples/ppp/ip-down.d/sendmail.in \
	$(top_srcdir)/examples/ppp/ip-up.d/sendmail.in \
	$(top_srcdir)/examples/resolvconf/update-libc.d/sendmail.in \
	$(top_srcdir)/examples/sasl/sasl.m4.in \
	$(top_srcdir)/examples/tls/starttls.m4.in \
	$(top_srcdir)/local/bug/sendmail/script.in \
	./build/config.guess ./build/config.sub ./build/depcomp \
	./build/install-sh ./build/missing ./build/mkinstalldirs \
	AUTHORS COPYING ChangeLog INSTALL NEWS TODO
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(SHELL) $(top_srcdir)/./build/mkinstalldirs
CONFIG_CLEAN_FILES = build/autoconf.mk build/autoconf.pl \
	build/autoconf.sh build/debian/changelog.sh \
	build/debian/changelog build/update_chaos build/site.config.m4 \
	build/debian/control.m4 libmilter${sm_libmilter_version}.dirs \
	libmilter${sm_libmilter_version}.links \
	libmilter${sm_libmilter_version}.lintian-overrides \
	libmilter${sm_libmilter_version}.postrm \
	libmilter${sm_libmilter_version}.preinst libmilter-dev.dirs \
	libmilter-dev.links libmilter-dev.postrm libmilter-dev.preinst \
	rmail.dirs rmail.postrm rmail.preinst sendmail.dirs \
	sendmail-base.dirs sendmail-base.postinst sendmail-base.postrm \
	sendmail-base.preinst sendmail-base.prerm sendmail-doc.dirs \
	sendmail-doc.postrm sendmail-doc.preinst sendmail-cf.dirs \
	sendmail-cf.postrm sendmail-cf.preinst sendmail.cron.daily \
	sendmail-bin.dirs sendmail.init.d sendmail-bin.postinst \
	sendmail-bin.postrm sendmail-bin.preinst sendmail-bin.prerm \
	sendmail-bin.suid sensible-mda.dirs sensible-mda.postrm \
	sensible-mda.preinst cf/debian/autoconf.m4 \
	cf/debian/sendmail.mc cf/debian/submit.mc \
	cf/domain/debian-msp.m4 cf/domain/debian-mta.m4 \
	cf/hack/debian_auth.m4 cf/hack/virthost_by_ip.m4 \
	cf/ostype/debian.m4 \
	examples/dhcp/dhclient-exit-hooks.d/sendmail \
	examples/network/if-down.d/sendmail \
	examples/network/if-up.d/sendmail \
	examples/ppp/ip-down.d/sendmail examples/ppp/ip-up.d/sendmail \
	examples/resolvconf/update-libc.d/sendmail \
	examples/sasl/sasl.m4 examples/tls/starttls.m4 \
	local/bug/sendmail/script
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir dist dist-all distcheck
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d "$(distdir)" \
    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr "$(distdir)"; }; }
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/missing --run aclocal-1.11
AMTAR = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/missing --run tar
AUTOCONF = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/missing --run autoconf
AUTOHEADER = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/missing --run autoheader
AUTOMAKE = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/missing --run automake-1.11
AWK = gawk
CC = ccache gcc
CCDEPMODE = depmode=none
CFLAGS = -g -O2 -g -Wall -O2 -fPIC -fstack-protector-all
CPP = ccache gcc -E
CPPFLAGS = -g -O2 -g -Wall -O2 -fPIC -fstack-protector-all
CYGPATH_W = echo
DEBIAN = yes
DEBIAN_DH = 1
DEB_BUILD_ARCH = i386
DEB_BUILD_GNU_CPU = i686
DEB_BUILD_GNU_SYSTEM = linux-gnu
DEB_BUILD_GNU_TYPE = i686-linux-gnu
DEB_HOST_ARCH = i386
DEB_HOST_GNU_CPU = i686
DEB_HOST_GNU_SYSTEM = linux-gnu
DEB_HOST_GNU_TYPE = i686-linux-gnu
DEFS = -DPACKAGE_NAME=\"Sendmail\" -DPACKAGE_TARNAME=\"sendmail\" -DPACKAGE_VERSION=\"8.14.4\" -DPACKAGE_STRING=\"Sendmail\ 8.14.4\" -DPACKAGE_BUGREPORT=\"bug/reportbug\ or\ sendmail@packages.debian.org\" -DPACKAGE_URL=\"\" -DPACKAGE=\"sendmail\" -DVERSION=\"8.14.4\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIBMILTER_MFAPI_H=1 -DHAVE_REGEX_H=1 -DHAVE_DB_H=1 -DHAVE_DB_185_H=1 -DHAVE_RPCSVC_YPCLNT_H=1 -DHAVE_RPCSVC_NIS_H=1 -DHAVE_LDAP_H=1 -DHAVE_RESOLV_H=1 -DHAVE_TCPD_H=1 -DHAVE_NETINET_IP6_H=1 -DHAVE_GETADDRINFO=1 -DHAVE_MAILLOCK_H=1 -DHAVE_SASL_SASL_H=1 -DHAVE_OPENSSL_SSL_H=1
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = -Wl,-Bsymbolic-functions -pie -Wl,-z,noexecstack,-z,relro,-z,now -Wl,--warn-shared-textrel
LIBOBJS = 
LIBS = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = sendmail
PACKAGE_BUGREPORT = bug/reportbug or sendmail@packages.debian.org
PACKAGE_NAME = Sendmail
PACKAGE_STRING = Sendmail 8.14.4
PACKAGE_TARNAME = sendmail
PACKAGE_URL = 
PACKAGE_VERSION = 8.14.4
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/bash
SM_CPYRT = 2010
SM_DATE = 2010-10-11 17:53:00
SM_MAXVERS = 9.0.0
SM_MINVERS = 8.7.6
SM_VERS = 8.14.4
STRIP = 
VERSION = 8.14.4
abs_builddir = /scratch/packages/tmp/sendmail-8.14.4/debian
abs_srcdir = /scratch/packages/tmp/sendmail-8.14.4/debian
abs_top_builddir = /scratch/packages/tmp/sendmail-8.14.4/debian
abs_top_srcdir = /scratch/packages/tmp/sendmail-8.14.4/debian
ac_ct_CC = ccache gcc
ac_version = 2.67
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
am_version = 1.11
bindir = /usr/bin
build = i686-pc-linux-gnu
build_alias = i686-linux-gnu
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
buildtree = build-tree/sendmail-8.14.4
datadir = /usr/share
datarootdir = /usr/share
docdir = /usr/share/doc
dvidir = ${docdir}
exec_prefix = /usr
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = /usr/include
infodir = /usr/share/info
install_sh = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/install-sh
libdir = /usr/lib
libexecdir = /usr/lib/sm.bin
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = /usr/share/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = /usr/sbin

=== debian/cf/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# cf/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/sendmail
pkgincludedir = $(includedir)/sendmail
pkglibdir = $(libdir)/sendmail
pkglibexecdir = $(libexecdir)/sendmail
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu
subdir = cf
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/./build/mkinstalldirs
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/missing --run aclocal-1.11
AMTAR = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/missing --run tar
AUTOCONF = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/missing --run autoconf
AUTOHEADER = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/missing --run autoheader
AUTOMAKE = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/missing --run automake-1.11
AWK = gawk
CC = ccache gcc
CCDEPMODE = depmode=none
CFLAGS = -g -O2 -g -Wall -O2 -fPIC -fstack-protector-all
CPP = ccache gcc -E
CPPFLAGS = -g -O2 -g -Wall -O2 -fPIC -fstack-protector-all
CYGPATH_W = echo
DEBIAN = yes
DEBIAN_DH = 1
DEB_BUILD_ARCH = i386
DEB_BUILD_GNU_CPU = i686
DEB_BUILD_GNU_SYSTEM = linux-gnu
DEB_BUILD_GNU_TYPE = i686-linux-gnu
DEB_HOST_ARCH = i386
DEB_HOST_GNU_CPU = i686
DEB_HOST_GNU_SYSTEM = linux-gnu
DEB_HOST_GNU_TYPE = i686-linux-gnu
DEFS = -DPACKAGE_NAME=\"Sendmail\" -DPACKAGE_TARNAME=\"sendmail\" -DPACKAGE_VERSION=\"8.14.4\" -DPACKAGE_STRING=\"Sendmail\ 8.14.4\" -DPACKAGE_BUGREPORT=\"bug/reportbug\ or\ sendmail@packages.debian.org\" -DPACKAGE_URL=\"\" -DPACKAGE=\"sendmail\" -DVERSION=\"8.14.4\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIBMILTER_MFAPI_H=1 -DHAVE_REGEX_H=1 -DHAVE_DB_H=1 -DHAVE_DB_185_H=1 -DHAVE_RPCSVC_YPCLNT_H=1 -DHAVE_RPCSVC_NIS_H=1 -DHAVE_LDAP_H=1 -DHAVE_RESOLV_H=1 -DHAVE_TCPD_H=1 -DHAVE_NETINET_IP6_H=1 -DHAVE_GETADDRINFO=1 -DHAVE_MAILLOCK_H=1 -DHAVE_SASL_SASL_H=1 -DHAVE_OPENSSL_SSL_H=1
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = -Wl,-Bsymbolic-functions -pie -Wl,-z,noexecstack,-z,relro,-z,now -Wl,--warn-shared-textrel
LIBOBJS = 
LIBS = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = sendmail
PACKAGE_BUGREPORT = bug/reportbug or sendmail@packages.debian.org
PACKAGE_NAME = Sendmail
PACKAGE_STRING = Sendmail 8.14.4
PACKAGE_TARNAME = sendmail
PACKAGE_URL = 
PACKAGE_VERSION = 8.14.4
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/bash
SM_CPYRT = 2010
SM_DATE = 2010-10-11 17:53:00
SM_MAXVERS = 9.0.0
SM_MINVERS = 8.7.6
SM_VERS = 8.14.4
STRIP = 
VERSION = 8.14.4
abs_builddir = /scratch/packages/tmp/sendmail-8.14.4/debian/cf
abs_srcdir = /scratch/packages/tmp/sendmail-8.14.4/debian/cf
abs_top_builddir = /scratch/packages/tmp/sendmail-8.14.4/debian
abs_top_srcdir = /scratch/packages/tmp/sendmail-8.14.4/debian
ac_ct_CC = ccache gcc
ac_version = 2.67
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
am_version = 1.11
bindir = /usr/bin
build = i686-pc-linux-gnu
build_alias = i686-linux-gnu
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
buildtree = build-tree/sendmail-8.14.4
datadir = /usr/share
datarootdir = /usr/share
docdir = /usr/share/doc
dvidir = ${docdir}
exec_prefix = /usr
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = /usr/include
infodir = /usr/share/info
install_sh = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/install-sh
libdir = /usr/lib
libexecdir = /usr/lib/sm.bin
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = /usr/share/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = /usr/sbin
sharedstatedir = /usr/com
sm_auth_lib = 2
sm_badepends = , libdb4.8-dev, libldap2-dev, libwrap0-dev, liblockfile-dev, libsasl2-dev, libssl-dev
sm_build_arch = i386
sm_custom = 
sm_custom_s = 
sm_databases = REGEX, DB, NIS, NIS+, LDAP, DNS
sm_date = 2011-01-10
sm_depends = 
sm_dist_name = Debian
sm_dist_vers = squeeze/sid
sm_editmap_envdef = 
sm_editmap_libs =  -ldb-4.8 -lldap -llber
sm_enable_auth = yes
sm_enable_bind = no
sm_enable_hesiod = no
sm_enable_ipv6 = yes
sm_enable_ldap = yes
sm_enable_maillock = yes
sm_enable_milter = yes
sm_enable_ndbm = no
sm_enable_newdb = yes
sm_enable_nis = yes
sm_enable_nisplus = yes
sm_enable_regex = yes
sm_enable_sfio = no
sm_enable_shm = yes
sm_enable_tcpd = yes
sm_enable_tls = yes
sm_envdef =  -DHASFCHMOD=1 -DHASSETRLIMIT=1 -DHASFLOCK=0 -DUSESETEUID=1 -DHASGETUSERSHELL=1 -DNETINET6
sm_features = TCPWrappers, IPv6, LockFile, SMTP AUTH(SASL), STARTTLS(SSL)
sm_ffr =  -D_FFR_QUEUE_SCHED_DBG -D_FFR_SKIP_DOMAINS -D_FFR_GROUPREADABLEAUTHINFOFILE -D_FFR_DAEMON_NETUNIX -D_FFR_NO_PIPE -D_FFR_SHM_STATUS -D_FFR_RHS -D_FFR_MAIL_MACRO -D_FFR_QUEUEDELAY=1 -D_FFR_BADRCPT_SHUTDOWN -D_FFR_RESET_MACRO_GLOBALS -D_FFR_TLS_1 -D_FFR_DEAL_WITH_ERROR_SSL
sm_hesiod_parms = 
sm_host_arch = i386
sm_incdirs =  
sm_ldap_lib = -lldap -llber
sm_libmilter_envdef = -fPIC -DSM_CONF_POLL=1 -D_FFR_MULTILINE -D_FFR_SMFI_PROGRESS
sm_libmilter_libs = 
sm_libmilter_version = 1.0.1
sm_libs = 
sm_libsm_envdef = -fPIC -DHAVE_NANOSLEEP=1 -D_LDAP_EXAMPLE_ -DLDAP_REFERRALS -D_FFR_LDAP_URI -D_FFR_LDAP_SETVERSION -DLDAP_DEPRECATED -DSM_CONF_LDAP_MEMFREE
sm_libsm_libs =  -lldap -llber
sm_libsmdb_envdef = 
sm_libsmdb_libs = 
sm_libsmutil_envdef = -fPIC
sm_libsmutil_libs = 
sm_m4_ffr =  define(`_FFR_MAIL_MACRO')
sm_mail_local_envdef = -DLDA_USE_LOCKF -DCONTENTLENGTH -DMAILLOCK
sm_mail_local_libs =  -lldap -llber -llockfile
sm_mailstats_envdef = 
sm_mailstats_libs =  -lldap -llber
sm_makemap_envdef = 
sm_makemap_libs =  -ldb-4.8 -lldap -llber
sm_mapdef =  -DSOCKETMAP -DMAP_REGEX -DNEWDB -DNIS -DNISPLUS -DLDAPMAP
sm_newdb_lib = -ldb-4.8
sm_praliases_envdef = 
sm_praliases_libs =  -ldb-4.8 -lldap -llber
sm_recommends = 
sm_revision = -2ubuntu1
sm_rmail_envdef = 
sm_rmail_libs =  -lldap -llber
sm_sendmail_envdef =  -D_PATH_SENDMAILPID=\"/var/run/sendmail/mta/sendmail.pid\" -DIP_SRCROUTE=1 -DLDAP_REFERRALS -D_FFR_LDAP_URI -D_FFR_LDAP_SETVERSION -DLDAP_DEPRECATED  -DTCPWRAPPERS -DSASL -I/usr/include/sasl -DSTARTTLS  -D_FFR_QUEUE_SCHED_DBG -D_FFR_SKIP_DOMAINS -D_FFR_GROUPREADABLEAUTHINFOFILE -D_FFR_DAEMON_NETUNIX -D_FFR_NO_PIPE -D_FFR_SHM_STATUS -D_FFR_RHS -D_FFR_MAIL_MACRO -D_FFR_QUEUEDELAY=1 -D_FFR_BADRCPT_SHUTDOWN -D_FFR_RESET_MACRO_GLOBALS -D_FFR_TLS_1 -D_FFR_DEAL_WITH_ERROR_SSL
sm_sendmail_libs =  -ldb-4.8 -lnsl -lldap -llber -lresolv -lwrap -lsasl2 -lcrypto -lssl
sm_smrsh_envdef =  -DCMDDIR=\"/etc/mail/smrsh\" -DPATH=\"/usr/bin:/bin\"
sm_smrsh_libs =  -lldap -llber
sm_suggests = , sasl2-bin, libsasl2-modules, openssl
sm_time = 21:34:56
sm_utc = +0000
sm_vacation_envdef = 
sm_vacation_libs =  -ldb-4.8 -lldap -llber
sm_version = 8.14.4
sm_version_beta = 
sm_version_major = 8.14
sm_version_math = 527876
sm_version_minor = 4
sm_version_r = 14
sm_version_v = 8
srcdir = .
sysconfdir = /etc
target = i686-pc-linux-gnu
target_alias = 
target_cpu = i686
target_os = linux-gnu
target_vendor = pc
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..

#!/usr/bin/make -f
#------------------------------------------------------------------------------
# vim: syntax=make
#
# $Sendmail: Makefile,v 8.14.4 2011-01-10 21:34:56 cowboy Exp $
#
# Copyright (c) 1998-2010 Richard Nelson.  All Rights Reserved.
#
# cf/Makefile.  Generated from Makefile.in by configure.
#
# Rules file for Sendmail 8.14.4-2ubuntu1(527876)
#			 on  Debian squeeze/sid
#			 via Debhelper V1
#
# Note: the .in file supports Sendmail 8.7.6 - 9.0.0
#		on Debian slink, potato, woody, testing, sid, ...
#		but the generated file is customized to the version noted above.
#
# Richard Nelson <cowboy@debian.org> 2011-01-10 21:34:56 (+0000)
#------------------------------------------------------------------------------
#
# Shipped data
#
# Installed cf subdirectories
CF_DIRS = cf debian domain feature hack m4 mailer ostype
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu cf/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu cf/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \

=== debian/examples/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# examples/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.





pkgdatadir = $(datadir)/sendmail
pkgincludedir = $(includedir)/sendmail
pkglibdir = $(libdir)/sendmail
pkglibexecdir = $(libexecdir)/sendmail
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu
subdir = examples
DIST_COMMON = $(dist_man_MANS) $(dist_sbin_SCRIPTS) \
	$(nobase_dist_sysconf_DATA) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/./build/mkinstalldirs
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man8dir)" \
	"$(DESTDIR)$(sysconfdir)"
SCRIPTS = $(dist_sbin_SCRIPTS)
SOURCES =
DIST_SOURCES =
man8dir = $(mandir)/man8
NROFF = nroff
MANS = $(dist_man_MANS)
DATA = $(nobase_dist_sysconf_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/missing --run aclocal-1.11
AMTAR = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/missing --run tar
AUTOCONF = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/missing --run autoconf
AUTOHEADER = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/missing --run autoheader
AUTOMAKE = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/missing --run automake-1.11
AWK = gawk
CC = ccache gcc
CCDEPMODE = depmode=none
CFLAGS = -g -O2 -g -Wall -O2 -fPIC -fstack-protector-all
CPP = ccache gcc -E
CPPFLAGS = -g -O2 -g -Wall -O2 -fPIC -fstack-protector-all
CYGPATH_W = echo
DEBIAN = yes
DEBIAN_DH = 1
DEB_BUILD_ARCH = i386
DEB_BUILD_GNU_CPU = i686
DEB_BUILD_GNU_SYSTEM = linux-gnu
DEB_BUILD_GNU_TYPE = i686-linux-gnu
DEB_HOST_ARCH = i386
DEB_HOST_GNU_CPU = i686
DEB_HOST_GNU_SYSTEM = linux-gnu
DEB_HOST_GNU_TYPE = i686-linux-gnu
DEFS = -DPACKAGE_NAME=\"Sendmail\" -DPACKAGE_TARNAME=\"sendmail\" -DPACKAGE_VERSION=\"8.14.4\" -DPACKAGE_STRING=\"Sendmail\ 8.14.4\" -DPACKAGE_BUGREPORT=\"bug/reportbug\ or\ sendmail@packages.debian.org\" -DPACKAGE_URL=\"\" -DPACKAGE=\"sendmail\" -DVERSION=\"8.14.4\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIBMILTER_MFAPI_H=1 -DHAVE_REGEX_H=1 -DHAVE_DB_H=1 -DHAVE_DB_185_H=1 -DHAVE_RPCSVC_YPCLNT_H=1 -DHAVE_RPCSVC_NIS_H=1 -DHAVE_LDAP_H=1 -DHAVE_RESOLV_H=1 -DHAVE_TCPD_H=1 -DHAVE_NETINET_IP6_H=1 -DHAVE_GETADDRINFO=1 -DHAVE_MAILLOCK_H=1 -DHAVE_SASL_SASL_H=1 -DHAVE_OPENSSL_SSL_H=1
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = -Wl,-Bsymbolic-functions -pie -Wl,-z,noexecstack,-z,relro,-z,now -Wl,--warn-shared-textrel
LIBOBJS = 
LIBS = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = sendmail
PACKAGE_BUGREPORT = bug/reportbug or sendmail@packages.debian.org
PACKAGE_NAME = Sendmail
PACKAGE_STRING = Sendmail 8.14.4
PACKAGE_TARNAME = sendmail
PACKAGE_URL = 
PACKAGE_VERSION = 8.14.4
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/bash
SM_CPYRT = 2010
SM_DATE = 2010-10-11 17:53:00
SM_MAXVERS = 9.0.0
SM_MINVERS = 8.7.6
SM_VERS = 8.14.4
STRIP = 
VERSION = 8.14.4
abs_builddir = /scratch/packages/tmp/sendmail-8.14.4/debian/examples
abs_srcdir = /scratch/packages/tmp/sendmail-8.14.4/debian/examples
abs_top_builddir = /scratch/packages/tmp/sendmail-8.14.4/debian
abs_top_srcdir = /scratch/packages/tmp/sendmail-8.14.4/debian
ac_ct_CC = ccache gcc
ac_version = 2.67
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
am_version = 1.11
bindir = /usr/bin
build = i686-pc-linux-gnu
build_alias = i686-linux-gnu
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
buildtree = build-tree/sendmail-8.14.4
datadir = /usr/share
datarootdir = /usr/share
docdir = /usr/share/doc
dvidir = ${docdir}
exec_prefix = /usr
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = /usr/include
infodir = /usr/share/info
install_sh = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/install-sh
libdir = /usr/lib
libexecdir = /usr/lib/sm.bin
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = /usr/share/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = /usr/sbin
sharedstatedir = /usr/com
sm_auth_lib = 2
sm_badepends = , libdb4.8-dev, libldap2-dev, libwrap0-dev, liblockfile-dev, libsasl2-dev, libssl-dev
sm_build_arch = i386
sm_custom = 
sm_custom_s = 
sm_databases = REGEX, DB, NIS, NIS+, LDAP, DNS
sm_date = 2011-01-10
sm_depends = 
sm_dist_name = Debian
sm_dist_vers = squeeze/sid
sm_editmap_envdef = 
sm_editmap_libs =  -ldb-4.8 -lldap -llber
sm_enable_auth = yes
sm_enable_bind = no
sm_enable_hesiod = no
sm_enable_ipv6 = yes
sm_enable_ldap = yes
sm_enable_maillock = yes
sm_enable_milter = yes
sm_enable_ndbm = no
sm_enable_newdb = yes
sm_enable_nis = yes
sm_enable_nisplus = yes
sm_enable_regex = yes
sm_enable_sfio = no
sm_enable_shm = yes
sm_enable_tcpd = yes
sm_enable_tls = yes
sm_envdef =  -DHASFCHMOD=1 -DHASSETRLIMIT=1 -DHASFLOCK=0 -DUSESETEUID=1 -DHASGETUSERSHELL=1 -DNETINET6
sm_features = TCPWrappers, IPv6, LockFile, SMTP AUTH(SASL), STARTTLS(SSL)
sm_ffr =  -D_FFR_QUEUE_SCHED_DBG -D_FFR_SKIP_DOMAINS -D_FFR_GROUPREADABLEAUTHINFOFILE -D_FFR_DAEMON_NETUNIX -D_FFR_NO_PIPE -D_FFR_SHM_STATUS -D_FFR_RHS -D_FFR_MAIL_MACRO -D_FFR_QUEUEDELAY=1 -D_FFR_BADRCPT_SHUTDOWN -D_FFR_RESET_MACRO_GLOBALS -D_FFR_TLS_1 -D_FFR_DEAL_WITH_ERROR_SSL
sm_hesiod_parms = 
sm_host_arch = i386
sm_incdirs =  
sm_ldap_lib = -lldap -llber
sm_libmilter_envdef = -fPIC -DSM_CONF_POLL=1 -D_FFR_MULTILINE -D_FFR_SMFI_PROGRESS
sm_libmilter_libs = 
sm_libmilter_version = 1.0.1
sm_libs = 
sm_libsm_envdef = -fPIC -DHAVE_NANOSLEEP=1 -D_LDAP_EXAMPLE_ -DLDAP_REFERRALS -D_FFR_LDAP_URI -D_FFR_LDAP_SETVERSION -DLDAP_DEPRECATED -DSM_CONF_LDAP_MEMFREE
sm_libsm_libs =  -lldap -llber
sm_libsmdb_envdef = 
sm_libsmdb_libs = 
sm_libsmutil_envdef = -fPIC
sm_libsmutil_libs = 
sm_m4_ffr =  define(`_FFR_MAIL_MACRO')
sm_mail_local_envdef = -DLDA_USE_LOCKF -DCONTENTLENGTH -DMAILLOCK
sm_mail_local_libs =  -lldap -llber -llockfile
sm_mailstats_envdef = 
sm_mailstats_libs =  -lldap -llber
sm_makemap_envdef = 
sm_makemap_libs =  -ldb-4.8 -lldap -llber
sm_mapdef =  -DSOCKETMAP -DMAP_REGEX -DNEWDB -DNIS -DNISPLUS -DLDAPMAP
sm_newdb_lib = -ldb-4.8
sm_praliases_envdef = 
sm_praliases_libs =  -ldb-4.8 -lldap -llber
sm_recommends = 
sm_revision = -2ubuntu1
sm_rmail_envdef = 
sm_rmail_libs =  -lldap -llber
sm_sendmail_envdef =  -D_PATH_SENDMAILPID=\"/var/run/sendmail/mta/sendmail.pid\" -DIP_SRCROUTE=1 -DLDAP_REFERRALS -D_FFR_LDAP_URI -D_FFR_LDAP_SETVERSION -DLDAP_DEPRECATED  -DTCPWRAPPERS -DSASL -I/usr/include/sasl -DSTARTTLS  -D_FFR_QUEUE_SCHED_DBG -D_FFR_SKIP_DOMAINS -D_FFR_GROUPREADABLEAUTHINFOFILE -D_FFR_DAEMON_NETUNIX -D_FFR_NO_PIPE -D_FFR_SHM_STATUS -D_FFR_RHS -D_FFR_MAIL_MACRO -D_FFR_QUEUEDELAY=1 -D_FFR_BADRCPT_SHUTDOWN -D_FFR_RESET_MACRO_GLOBALS -D_FFR_TLS_1 -D_FFR_DEAL_WITH_ERROR_SSL
sm_sendmail_libs =  -ldb-4.8 -lnsl -lldap -llber -lresolv -lwrap -lsasl2 -lcrypto -lssl
sm_smrsh_envdef =  -DCMDDIR=\"/etc/mail/smrsh\" -DPATH=\"/usr/bin:/bin\"
sm_smrsh_libs =  -lldap -llber
sm_suggests = , sasl2-bin, libsasl2-modules, openssl
sm_time = 21:34:56
sm_utc = +0000
sm_vacation_envdef = 
sm_vacation_libs =  -ldb-4.8 -lldap -llber
sm_version = 8.14.4
sm_version_beta = 
sm_version_major = 8.14
sm_version_math = 527876
sm_version_minor = 4
sm_version_r = 14
sm_version_v = 8
srcdir = .
sysconfdir = /etc
target = i686-pc-linux-gnu
target_alias = 
target_cpu = i686
target_os = linux-gnu
target_vendor = pc
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..

#!/usr/bin/make -f
#------------------------------------------------------------------------------
# vim: syntax=make
#
# $Sendmail: Makefile,v 8.14.4 2011-01-10 21:34:56 cowboy Exp $
#
# Copyright (c) 1998-2010 Richard Nelson.  All Rights Reserved.
#
# examples/Makefile.  Generated from Makefile.in by configure.
#
# Rules file for Sendmail 8.14.4-2ubuntu1(527876)
#			 on  Debian squeeze/sid
#			 via Debhelper V1
#
# Note: the .in file supports Sendmail 8.7.6 - 9.0.0
#		on Debian slink, potato, woody, testing, sid, ...
#		but the generated file is customized to the version noted above.
#
# Richard Nelson <cowboy@debian.org> 2011-01-10 21:34:56 (+0000)
#------------------------------------------------------------------------------
# 
# Shipped programs
#
dist_sbin_SCRIPTS = checksendmail/checksendmail
# 
# Shipped manpages
#
dist_man_MANS = checksendmail/checksendmail.8
#
# Shipped data
#
# Installed example subdirectories
EXAMPLES_DIRS = amavis db dhcp \
	ldap logcheck milter network \
	pam.d ppp resolvconf sasl tls

#
# Sigh... I wanted to use sysconf_SCRIPTS, but automake says NO!
nobase_dist_sysconf_DATA = dhcp/dhclient-exit-hooks.d/sendmail \
	logcheck/ignore.d.paranoid/sendmail \
	logcheck/ignore.d.server/sendmail \
	logcheck/ignore.d.workstation/sendmail \
	logcheck/violations.ignore.d/logcheck-sendmail \
	network/if-down.d/sendmail network/if-post-down.d/sendmail \
	network/if-up.d/sendmail pam.d/smtp ppp/ip-down.d/sendmail \
	ppp/ip-up.d/sendmail resolvconf/update-libc.d/sendmail
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \

=== debian/local/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# local/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.





pkgdatadir = $(datadir)/sendmail
pkgincludedir = $(includedir)/sendmail
pkglibdir = $(libdir)/sendmail
pkglibexecdir = $(libexecdir)/sendmail
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu
subdir = local
DIST_COMMON = $(dist_man_MANS) $(dist_pkgdata_SCRIPTS) \
	$(dist_sbin_SCRIPTS) $(nobase_dist_data_DATA) \
	$(nobase_dist_sysconf_DATA) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/Parse_conf.pm.in \
	$(srcdir)/Parse_mc.pm.in $(srcdir)/dynamic.in \
	$(srcdir)/parse_mc.in $(srcdir)/sendmail.in \
	$(srcdir)/sendmailconfig.in $(srcdir)/update_auth.in \
	$(srcdir)/update_authm4.in $(srcdir)/update_conf.in \
	$(srcdir)/update_db.in $(srcdir)/update_ldap.in \
	$(srcdir)/update_mc.in $(srcdir)/update_mk.in \
	$(srcdir)/update_smrsh.in $(srcdir)/update_sys.in \
	$(srcdir)/update_tls.in $(srcdir)/update_tlsm4.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/./build/mkinstalldirs
CONFIG_CLEAN_FILES = Parse_conf.pm Parse_mc.pm dynamic parse_mc \
	sendmailconfig sendmail update_auth update_authm4 update_conf \
	update_db update_ldap update_mc update_mk update_smrsh \
	update_sys update_tls update_tlsm4
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(pkgdatadir)" "$(DESTDIR)$(sbindir)" \
	"$(DESTDIR)$(man8dir)" "$(DESTDIR)$(datadir)" \
	"$(DESTDIR)$(sysconfdir)"
SCRIPTS = $(dist_pkgdata_SCRIPTS) $(dist_sbin_SCRIPTS)
SOURCES =
DIST_SOURCES =
man8dir = $(mandir)/man8
NROFF = nroff
MANS = $(dist_man_MANS)
DATA = $(nobase_dist_data_DATA) $(nobase_dist_sysconf_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/missing --run aclocal-1.11
AMTAR = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/missing --run tar
AUTOCONF = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/missing --run autoconf
AUTOHEADER = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/missing --run autoheader
AUTOMAKE = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/missing --run automake-1.11
AWK = gawk
CC = ccache gcc
CCDEPMODE = depmode=none
CFLAGS = -g -O2 -g -Wall -O2 -fPIC -fstack-protector-all
CPP = ccache gcc -E
CPPFLAGS = -g -O2 -g -Wall -O2 -fPIC -fstack-protector-all
CYGPATH_W = echo
DEBIAN = yes
DEBIAN_DH = 1
DEB_BUILD_ARCH = i386
DEB_BUILD_GNU_CPU = i686
DEB_BUILD_GNU_SYSTEM = linux-gnu
DEB_BUILD_GNU_TYPE = i686-linux-gnu
DEB_HOST_ARCH = i386
DEB_HOST_GNU_CPU = i686
DEB_HOST_GNU_SYSTEM = linux-gnu
DEB_HOST_GNU_TYPE = i686-linux-gnu
DEFS = -DPACKAGE_NAME=\"Sendmail\" -DPACKAGE_TARNAME=\"sendmail\" -DPACKAGE_VERSION=\"8.14.4\" -DPACKAGE_STRING=\"Sendmail\ 8.14.4\" -DPACKAGE_BUGREPORT=\"bug/reportbug\ or\ sendmail@packages.debian.org\" -DPACKAGE_URL=\"\" -DPACKAGE=\"sendmail\" -DVERSION=\"8.14.4\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIBMILTER_MFAPI_H=1 -DHAVE_REGEX_H=1 -DHAVE_DB_H=1 -DHAVE_DB_185_H=1 -DHAVE_RPCSVC_YPCLNT_H=1 -DHAVE_RPCSVC_NIS_H=1 -DHAVE_LDAP_H=1 -DHAVE_RESOLV_H=1 -DHAVE_TCPD_H=1 -DHAVE_NETINET_IP6_H=1 -DHAVE_GETADDRINFO=1 -DHAVE_MAILLOCK_H=1 -DHAVE_SASL_SASL_H=1 -DHAVE_OPENSSL_SSL_H=1
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = -Wl,-Bsymbolic-functions -pie -Wl,-z,noexecstack,-z,relro,-z,now -Wl,--warn-shared-textrel
LIBOBJS = 
LIBS = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = sendmail
PACKAGE_BUGREPORT = bug/reportbug or sendmail@packages.debian.org
PACKAGE_NAME = Sendmail
PACKAGE_STRING = Sendmail 8.14.4
PACKAGE_TARNAME = sendmail
PACKAGE_URL = 
PACKAGE_VERSION = 8.14.4
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/bash
SM_CPYRT = 2010
SM_DATE = 2010-10-11 17:53:00
SM_MAXVERS = 9.0.0
SM_MINVERS = 8.7.6
SM_VERS = 8.14.4
STRIP = 
VERSION = 8.14.4
abs_builddir = /scratch/packages/tmp/sendmail-8.14.4/debian/local
abs_srcdir = /scratch/packages/tmp/sendmail-8.14.4/debian/local
abs_top_builddir = /scratch/packages/tmp/sendmail-8.14.4/debian
abs_top_srcdir = /scratch/packages/tmp/sendmail-8.14.4/debian
ac_ct_CC = ccache gcc
ac_version = 2.67
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
am_version = 1.11
bindir = /usr/bin
build = i686-pc-linux-gnu
build_alias = i686-linux-gnu
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
buildtree = build-tree/sendmail-8.14.4
datadir = /usr/share
datarootdir = /usr/share
docdir = /usr/share/doc
dvidir = ${docdir}
exec_prefix = /usr
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = /usr/include
infodir = /usr/share/info
install_sh = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/install-sh
libdir = /usr/lib
libexecdir = /usr/lib/sm.bin
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = /usr/share/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = /usr/sbin
sharedstatedir = /usr/com
sm_auth_lib = 2
sm_badepends = , libdb4.8-dev, libldap2-dev, libwrap0-dev, liblockfile-dev, libsasl2-dev, libssl-dev
sm_build_arch = i386
sm_custom = 
sm_custom_s = 
sm_databases = REGEX, DB, NIS, NIS+, LDAP, DNS
sm_date = 2011-01-10
sm_depends = 
sm_dist_name = Debian
sm_dist_vers = squeeze/sid
sm_editmap_envdef = 
sm_editmap_libs =  -ldb-4.8 -lldap -llber
sm_enable_auth = yes
sm_enable_bind = no
sm_enable_hesiod = no
sm_enable_ipv6 = yes
sm_enable_ldap = yes
sm_enable_maillock = yes
sm_enable_milter = yes
sm_enable_ndbm = no
sm_enable_newdb = yes
sm_enable_nis = yes
sm_enable_nisplus = yes
sm_enable_regex = yes
sm_enable_sfio = no
sm_enable_shm = yes
sm_enable_tcpd = yes
sm_enable_tls = yes
sm_envdef =  -DHASFCHMOD=1 -DHASSETRLIMIT=1 -DHASFLOCK=0 -DUSESETEUID=1 -DHASGETUSERSHELL=1 -DNETINET6
sm_features = TCPWrappers, IPv6, LockFile, SMTP AUTH(SASL), STARTTLS(SSL)
sm_ffr =  -D_FFR_QUEUE_SCHED_DBG -D_FFR_SKIP_DOMAINS -D_FFR_GROUPREADABLEAUTHINFOFILE -D_FFR_DAEMON_NETUNIX -D_FFR_NO_PIPE -D_FFR_SHM_STATUS -D_FFR_RHS -D_FFR_MAIL_MACRO -D_FFR_QUEUEDELAY=1 -D_FFR_BADRCPT_SHUTDOWN -D_FFR_RESET_MACRO_GLOBALS -D_FFR_TLS_1 -D_FFR_DEAL_WITH_ERROR_SSL
sm_hesiod_parms = 
sm_host_arch = i386
sm_incdirs =  
sm_ldap_lib = -lldap -llber
sm_libmilter_envdef = -fPIC -DSM_CONF_POLL=1 -D_FFR_MULTILINE -D_FFR_SMFI_PROGRESS
sm_libmilter_libs = 
sm_libmilter_version = 1.0.1
sm_libs = 
sm_libsm_envdef = -fPIC -DHAVE_NANOSLEEP=1 -D_LDAP_EXAMPLE_ -DLDAP_REFERRALS -D_FFR_LDAP_URI -D_FFR_LDAP_SETVERSION -DLDAP_DEPRECATED -DSM_CONF_LDAP_MEMFREE
sm_libsm_libs =  -lldap -llber
sm_libsmdb_envdef = 
sm_libsmdb_libs = 
sm_libsmutil_envdef = -fPIC
sm_libsmutil_libs = 
sm_m4_ffr =  define(`_FFR_MAIL_MACRO')
sm_mail_local_envdef = -DLDA_USE_LOCKF -DCONTENTLENGTH -DMAILLOCK
sm_mail_local_libs =  -lldap -llber -llockfile
sm_mailstats_envdef = 
sm_mailstats_libs =  -lldap -llber
sm_makemap_envdef = 
sm_makemap_libs =  -ldb-4.8 -lldap -llber
sm_mapdef =  -DSOCKETMAP -DMAP_REGEX -DNEWDB -DNIS -DNISPLUS -DLDAPMAP
sm_newdb_lib = -ldb-4.8
sm_praliases_envdef = 
sm_praliases_libs =  -ldb-4.8 -lldap -llber
sm_recommends = 
sm_revision = -2ubuntu1
sm_rmail_envdef = 
sm_rmail_libs =  -lldap -llber
sm_sendmail_envdef =  -D_PATH_SENDMAILPID=\"/var/run/sendmail/mta/sendmail.pid\" -DIP_SRCROUTE=1 -DLDAP_REFERRALS -D_FFR_LDAP_URI -D_FFR_LDAP_SETVERSION -DLDAP_DEPRECATED  -DTCPWRAPPERS -DSASL -I/usr/include/sasl -DSTARTTLS  -D_FFR_QUEUE_SCHED_DBG -D_FFR_SKIP_DOMAINS -D_FFR_GROUPREADABLEAUTHINFOFILE -D_FFR_DAEMON_NETUNIX -D_FFR_NO_PIPE -D_FFR_SHM_STATUS -D_FFR_RHS -D_FFR_MAIL_MACRO -D_FFR_QUEUEDELAY=1 -D_FFR_BADRCPT_SHUTDOWN -D_FFR_RESET_MACRO_GLOBALS -D_FFR_TLS_1 -D_FFR_DEAL_WITH_ERROR_SSL
sm_sendmail_libs =  -ldb-4.8 -lnsl -lldap -llber -lresolv -lwrap -lsasl2 -lcrypto -lssl
sm_smrsh_envdef =  -DCMDDIR=\"/etc/mail/smrsh\" -DPATH=\"/usr/bin:/bin\"
sm_smrsh_libs =  -lldap -llber
sm_suggests = , sasl2-bin, libsasl2-modules, openssl
sm_time = 21:34:56
sm_utc = +0000
sm_vacation_envdef = 
sm_vacation_libs =  -ldb-4.8 -lldap -llber
sm_version = 8.14.4
sm_version_beta = 
sm_version_major = 8.14
sm_version_math = 527876
sm_version_minor = 4
sm_version_r = 14
sm_version_v = 8
srcdir = .
sysconfdir = /etc
target = i686-pc-linux-gnu
target_alias = 
target_cpu = i686
target_os = linux-gnu
target_vendor = pc
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..

#!/usr/bin/make -f
#------------------------------------------------------------------------------
# vim: syntax=make
#
# $Sendmail: Makefile,v 8.14.4 2011-01-10 21:34:56 cowboy Exp $
#
# Copyright (c) 1998-2010 Richard Nelson.  All Rights Reserved.
#
# local/Makefile.  Generated from Makefile.in by configure.
#
# Rules file for Sendmail 8.14.4-2ubuntu1(527876)
#			 on  Debian squeeze/sid
#			 via Debhelper V1
#
# Note: the .in file supports Sendmail 8.7.6 - 9.0.0
#		on Debian slink, potato, woody, testing, sid, ...
#		but the generated file is customized to the version noted above.
#
# Richard Nelson <cowboy@debian.org> 2011-01-10 21:34:56 (+0000)
#------------------------------------------------------------------------------
#
# Shipped programs
#
nobase_dist_data_DATA = \
	bug/sendmail/control \
	bug/sendmail/script

dist_pkgdata_SCRIPTS = \
	Parse_conf.pm \
	Parse_mc.pm \
	dynamic \
    parse_mc \
    sendmail \
	update_auth update_authm4 \

=== debian/sensible_mda/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# sensible_mda/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/sendmail
pkgincludedir = $(includedir)/sendmail
pkglibdir = $(libdir)/sendmail
pkglibexecdir = $(libexecdir)/sendmail
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu
sbin_PROGRAMS = sensible-mda$(EXEEXT)
subdir = sensible_mda
DIST_COMMON = $(dist_man_MANS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/sensible-mda.c.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/./build/mkinstalldirs
CONFIG_CLEAN_FILES = sensible-mda.c
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man8dir)"
PROGRAMS = $(sbin_PROGRAMS)
am_sensible_mda_OBJECTS = sensible-mda.$(OBJEXT)
sensible_mda_OBJECTS = $(am_sensible_mda_OBJECTS)
sensible_mda_LDADD = $(LDADD)
DEFAULT_INCLUDES = -I.
depcomp = $(SHELL) $(top_srcdir)/./build/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(sensible_mda_SOURCES)
DIST_SOURCES = $(sensible_mda_SOURCES)
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
man8dir = $(mandir)/man8
NROFF = nroff
MANS = $(dist_man_MANS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/missing --run aclocal-1.11
AMTAR = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/missing --run tar
AUTOCONF = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/missing --run autoconf
AUTOHEADER = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/missing --run autoheader
AUTOMAKE = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/missing --run automake-1.11
AWK = gawk
CC = ccache gcc
CCDEPMODE = depmode=none
CFLAGS = -g -O2 -g -Wall -O2 -fPIC -fstack-protector-all
CPP = ccache gcc -E
CPPFLAGS = -g -O2 -g -Wall -O2 -fPIC -fstack-protector-all
CYGPATH_W = echo
DEBIAN = yes
DEBIAN_DH = 1
DEB_BUILD_ARCH = i386
DEB_BUILD_GNU_CPU = i686
DEB_BUILD_GNU_SYSTEM = linux-gnu
DEB_BUILD_GNU_TYPE = i686-linux-gnu
DEB_HOST_ARCH = i386
DEB_HOST_GNU_CPU = i686
DEB_HOST_GNU_SYSTEM = linux-gnu
DEB_HOST_GNU_TYPE = i686-linux-gnu
DEFS = -DPACKAGE_NAME=\"Sendmail\" -DPACKAGE_TARNAME=\"sendmail\" -DPACKAGE_VERSION=\"8.14.4\" -DPACKAGE_STRING=\"Sendmail\ 8.14.4\" -DPACKAGE_BUGREPORT=\"bug/reportbug\ or\ sendmail@packages.debian.org\" -DPACKAGE_URL=\"\" -DPACKAGE=\"sendmail\" -DVERSION=\"8.14.4\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIBMILTER_MFAPI_H=1 -DHAVE_REGEX_H=1 -DHAVE_DB_H=1 -DHAVE_DB_185_H=1 -DHAVE_RPCSVC_YPCLNT_H=1 -DHAVE_RPCSVC_NIS_H=1 -DHAVE_LDAP_H=1 -DHAVE_RESOLV_H=1 -DHAVE_TCPD_H=1 -DHAVE_NETINET_IP6_H=1 -DHAVE_GETADDRINFO=1 -DHAVE_MAILLOCK_H=1 -DHAVE_SASL_SASL_H=1 -DHAVE_OPENSSL_SSL_H=1
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = -Wl,-Bsymbolic-functions -pie -Wl,-z,noexecstack,-z,relro,-z,now -Wl,--warn-shared-textrel
LIBOBJS = 
LIBS = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = sendmail
PACKAGE_BUGREPORT = bug/reportbug or sendmail@packages.debian.org
PACKAGE_NAME = Sendmail
PACKAGE_STRING = Sendmail 8.14.4
PACKAGE_TARNAME = sendmail
PACKAGE_URL = 
PACKAGE_VERSION = 8.14.4
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/bash
SM_CPYRT = 2010
SM_DATE = 2010-10-11 17:53:00
SM_MAXVERS = 9.0.0
SM_MINVERS = 8.7.6
SM_VERS = 8.14.4
STRIP = 
VERSION = 8.14.4
abs_builddir = /scratch/packages/tmp/sendmail-8.14.4/debian/sensible_mda
abs_srcdir = /scratch/packages/tmp/sendmail-8.14.4/debian/sensible_mda
abs_top_builddir = /scratch/packages/tmp/sendmail-8.14.4/debian
abs_top_srcdir = /scratch/packages/tmp/sendmail-8.14.4/debian
ac_ct_CC = ccache gcc
ac_version = 2.67
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
am_version = 1.11
bindir = /usr/bin
build = i686-pc-linux-gnu
build_alias = i686-linux-gnu
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
buildtree = build-tree/sendmail-8.14.4
datadir = /usr/share
datarootdir = /usr/share
docdir = /usr/share/doc
dvidir = ${docdir}
exec_prefix = /usr
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = /usr/include
infodir = /usr/share/info
install_sh = ${SHELL} /scratch/packages/tmp/sendmail-8.14.4/debian/build/install-sh
libdir = /usr/lib
libexecdir = /usr/lib/sm.bin
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = /usr/share/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = /usr/sbin
sharedstatedir = /usr/com
sm_auth_lib = 2
sm_badepends = , libdb4.8-dev, libldap2-dev, libwrap0-dev, liblockfile-dev, libsasl2-dev, libssl-dev
sm_build_arch = i386
sm_custom = 
sm_custom_s = 
sm_databases = REGEX, DB, NIS, NIS+, LDAP, DNS
sm_date = 2011-01-10
sm_depends = 
sm_dist_name = Debian
sm_dist_vers = squeeze/sid
sm_editmap_envdef = 
sm_editmap_libs =  -ldb-4.8 -lldap -llber
sm_enable_auth = yes
sm_enable_bind = no
sm_enable_hesiod = no
sm_enable_ipv6 = yes
sm_enable_ldap = yes
sm_enable_maillock = yes
sm_enable_milter = yes
sm_enable_ndbm = no
sm_enable_newdb = yes
sm_enable_nis = yes
sm_enable_nisplus = yes
sm_enable_regex = yes
sm_enable_sfio = no
sm_enable_shm = yes
sm_enable_tcpd = yes
sm_enable_tls = yes
sm_envdef =  -DHASFCHMOD=1 -DHASSETRLIMIT=1 -DHASFLOCK=0 -DUSESETEUID=1 -DHASGETUSERSHELL=1 -DNETINET6
sm_features = TCPWrappers, IPv6, LockFile, SMTP AUTH(SASL), STARTTLS(SSL)
sm_ffr =  -D_FFR_QUEUE_SCHED_DBG -D_FFR_SKIP_DOMAINS -D_FFR_GROUPREADABLEAUTHINFOFILE -D_FFR_DAEMON_NETUNIX -D_FFR_NO_PIPE -D_FFR_SHM_STATUS -D_FFR_RHS -D_FFR_MAIL_MACRO -D_FFR_QUEUEDELAY=1 -D_FFR_BADRCPT_SHUTDOWN -D_FFR_RESET_MACRO_GLOBALS -D_FFR_TLS_1 -D_FFR_DEAL_WITH_ERROR_SSL
sm_hesiod_parms = 
sm_host_arch = i386
sm_incdirs =  
sm_ldap_lib = -lldap -llber
sm_libmilter_envdef = -fPIC -DSM_CONF_POLL=1 -D_FFR_MULTILINE -D_FFR_SMFI_PROGRESS
sm_libmilter_libs = 
sm_libmilter_version = 1.0.1
sm_libs = 
sm_libsm_envdef = -fPIC -DHAVE_NANOSLEEP=1 -D_LDAP_EXAMPLE_ -DLDAP_REFERRALS -D_FFR_LDAP_URI -D_FFR_LDAP_SETVERSION -DLDAP_DEPRECATED -DSM_CONF_LDAP_MEMFREE
sm_libsm_libs =  -lldap -llber
sm_libsmdb_envdef = 
sm_libsmdb_libs = 
sm_libsmutil_envdef = -fPIC
sm_libsmutil_libs = 
sm_m4_ffr =  define(`_FFR_MAIL_MACRO')
sm_mail_local_envdef = -DLDA_USE_LOCKF -DCONTENTLENGTH -DMAILLOCK
sm_mail_local_libs =  -lldap -llber -llockfile
sm_mailstats_envdef = 
sm_mailstats_libs =  -lldap -llber
sm_makemap_envdef = 
sm_makemap_libs =  -ldb-4.8 -lldap -llber
sm_mapdef =  -DSOCKETMAP -DMAP_REGEX -DNEWDB -DNIS -DNISPLUS -DLDAPMAP
sm_newdb_lib = -ldb-4.8
sm_praliases_envdef = 
sm_praliases_libs =  -ldb-4.8 -lldap -llber
sm_recommends = 
sm_revision = -2ubuntu1
sm_rmail_envdef = 
sm_rmail_libs =  -lldap -llber
sm_sendmail_envdef =  -D_PATH_SENDMAILPID=\"/var/run/sendmail/mta/sendmail.pid\" -DIP_SRCROUTE=1 -DLDAP_REFERRALS -D_FFR_LDAP_URI -D_FFR_LDAP_SETVERSION -DLDAP_DEPRECATED  -DTCPWRAPPERS -DSASL -I/usr/include/sasl -DSTARTTLS  -D_FFR_QUEUE_SCHED_DBG -D_FFR_SKIP_DOMAINS -D_FFR_GROUPREADABLEAUTHINFOFILE -D_FFR_DAEMON_NETUNIX -D_FFR_NO_PIPE -D_FFR_SHM_STATUS -D_FFR_RHS -D_FFR_MAIL_MACRO -D_FFR_QUEUEDELAY=1 -D_FFR_BADRCPT_SHUTDOWN -D_FFR_RESET_MACRO_GLOBALS -D_FFR_TLS_1 -D_FFR_DEAL_WITH_ERROR_SSL
sm_sendmail_libs =  -ldb-4.8 -lnsl -lldap -llber -lresolv -lwrap -lsasl2 -lcrypto -lssl
sm_smrsh_envdef =  -DCMDDIR=\"/etc/mail/smrsh\" -DPATH=\"/usr/bin:/bin\"
sm_smrsh_libs =  -lldap -llber
sm_suggests = , sasl2-bin, libsasl2-modules, openssl
sm_time = 21:34:56
sm_utc = +0000
sm_vacation_envdef = 
sm_vacation_libs =  -ldb-4.8 -lldap -llber
sm_version = 8.14.4
sm_version_beta = 
sm_version_major = 8.14
sm_version_math = 527876
sm_version_minor = 4
sm_version_r = 14
sm_version_v = 8
srcdir = .
sysconfdir = /etc
target = i686-pc-linux-gnu
target_alias = 
target_cpu = i686
target_os = linux-gnu
target_vendor = pc
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
#
# Shipped manpages
#
dist_man_MANS = sensible-mda.8
#
# Program sources
#
sensible_mda_SOURCES = sensible-mda.c
all: all-am

.SUFFIXES:
.SUFFIXES: .c .o .obj
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu sensible_mda/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu sensible_mda/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

=== debian/build/debian/changelog ===
sendmail (8.14.4-2maemo2) unstable; urgency=low

  * Rebuild for Fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 28 Mar 2012 22:33:59 +0300

sendmail (8.14.4-2maemo1) unstable; urgency=low

  * Rebuild for Fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 28 Mar 2012 21:27:59 +0300

=== debian/changelog ===
sendmail (8.14.4-2maemo2) oneiric; urgency=low

  * Rebuild for Fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 28 Mar 2012 22:33:59 +0300

=== debian/control ===
Source: sendmail
Priority: extra
Section: user/network
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com> 
Standards-Version: 3.8.3
Build-Depends-Indep: groff, bsdmainutils
Build-Depends: make (>> 3.79.1-14), m4, cdbs, quilt, patchutils, dh-buildinfo, debhelper (>= 5), groff, bsdmainutils , libdb4.2-dev, libldap2-dev, libwrap0-dev, liblockfile-dev, libsasl2-dev, libssl-dev
Build-Conflicts: libbind-dev, bind-dev, fakeroot (<< 0.4.5)
Homepage: http://www.sendmail.org

Package: sendmail-bin
Architecture: any
Section: mail
Replaces: mail-transport-agent
Provides: mail-transport-agent
Conflicts: mail-transport-agent
Depends: sendmail-base, sendmail-cf, procps, ${shlibs:Depends}, ${perl:Depends} 
Recommends: 
Suggests: sendmail-doc, , sasl2-bin, libsasl2-modules, openssl
Description: powerful, efficient, and scalable Mail Transport Agent
 Sendmail is an alternative Mail Transport Agent (MTA) for Debian.
 It is suitable for handling sophisticated mail configurations,
 although this means that its configuration can also be complex.
 .
 Fortunately, simple thing can be done easily, and complex things
 are possible, even if not easily understood ;)  Sendmail is the *ONLY*
 MTA with a Turing complete language to control *ALL* aspects of delivery!
 .
 Sendmail provides Security and SPAM/UCE/UBE protection via several means.
 .
 Sendmail includes *no* Mail User Agents (MUA), you'll have to
 pick from the plethora of available MUAs (mutt, vm, etc.)
 .
 This package supports REGEX, DB, NIS, NIS+, LDAP, DNS maps,
 and has enabled TCPWrappers, IPv6, LockFile, SMTP AUTH(SASL), STARTTLS(SSL).
 .
Homepage: http://www.sendmail.org
XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com

Package: rmail
Architecture: any
Section: mail
Conflicts: sendmail (<< 8.13.1-7), postfix, exim, exim-tls, exim4-daemon-custom, exim4-daemon-heavy, exim4-daemon-light, courier-mta, smail, zmailer, masqmail
Depends: sendmail-bin | mail-transport-agent, ${shlibs:Depends}
Description: MTA->UUCP remote mail handler
 Rmail handles mail received via uucp and passes it to the local
 sendmail (or workalike).
 .
 This version comes from the sendmail source package and the only
 change is the call to sendmail (from -obq to -obi).
 .
Homepage: http://www.sendmail.org

Package: sensible-mda
Architecture: any
Section: mail
Depends: sendmail-bin | mail-transport-agent, procmail | maildrop | deliver, ${shlibs:Depends}
Description: Mail Delivery Agent wrapper
 Sensible-mda is a Debian addition in the sendmail package and has been
 split out in hopes that it might be useful for other MTA packages.
 .
 Sensible-mda is called by the MTA, and will in turn call whichever of
 the following MDAs that it finds (in this order):
 procmail, maildrop, deliver, mail.local

Package: libmilter0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: Sendmail Mail Filter API (Milter)
 The Sendmail Mail Filter API (Milter) is designed to allow third-party
 programs access to mail messages as they are being processed in order
 to filter meta-information(headers) and content.
 .
 The Debian Sendmail package is built to support libmilter.
 .
 This package contains libmilter.so
 .
Homepage: http://www.sendmail.org

Package: libmilter0-dbg
Architecture: any
Section: libs
Depends: libmilter0 (= ${binary:Version}), ${shlibs:Depends}
Description: Sendmail Mail Filter API (Milter)
 The Sendmail Mail Filter API (Milter) is designed to allow third-party
 programs access to mail messages as they are being processed in order
 to filter meta-information(headers) and content.
 .
 The Debian Sendmail package is built to support libmilter.
 .
 This package contains debugging information for libmilter.so
 .
Homepage: http://www.sendmail.org

Package: libmilter-dev
Architecture: any
Section: libdevel
Depends: libmilter0 (= ${binary:Version})
Suggests: sendmail-doc
Description: Sendmail Mail Filter API (Milter)
 The Sendmail Mail Filter API (Milter) is designed to allow third-party
 programs access to mail messages as they are being processed in order
 to filter meta-information (headers) and content.
 .
 The Debian Sendmail package is built to support libmilter.
 .
 This is the libmilter static library and include files for development.
 .
 The documentation on building a Milter is in the sendmail-doc package.
 .
Homepage: http://www.sendmail.org

Package: sendmail-doc
Architecture: all
Section: doc
Description: powerful, efficient, and scalable Mail Transport Agent
 Sendmail is an alternative Mail Transport Agent (MTA) for
 Debian. It is suitable for handling sophisticated mail
 configurations, although this means that its configuration
 can also be complex.
 .
 Don't try anything fancy in sendmail without using this for guidance.
 .
 Because of the complexity, you may find yourself wanting to peruse
 the documentation files included herein.  The main files are:
   cf.README.gz    -- A reference for all things in sendmail.{mc,cf}
   op.{ps,txt}.gz  -- The care and feeding of Sendmail.
   faq.txt.gz      -- Sendmail FAQ, current as of the package date.
 .
 Other files include the references for smrsh and libmilter.
 .
Homepage: http://www.sendmail.org

Package: sendmail
Architecture: all
Section: user/network
Replaces: sendmail-tls
Depends: sendmail-base, sendmail-bin, sendmail-cf, sensible-mda
Suggests: sendmail-doc, rmail
Description: powerful, efficient, and scalable Mail Transport Agent
 Sendmail is an alternative Mail Transport Agent (MTA) for Debian.
 It is suitable for handling sophisticated mail configurations,
 although this means that its configuration can also be complex.
 .
 Fortunately, simple thing can be done easily, and complex things
 are possible, even if not easily understood ;)  Sendmail is the *ONLY*
 MTA with a Turing complete language to control *ALL* aspects of delivery!
 .
 Sendmail provides Security and SPAM/UCE/UBE protection via several means.
 .
 Sendmail includes *no* Mail User Agents (MUA), you'll have to
 pick from the plethora of available MUAs (mutt, vm, etc.)
 .
 This package supports REGEX, DB, NIS, NIS+, LDAP, DNS maps,
 and has enabled TCPWrappers, IPv6, LockFile, SMTP AUTH(SASL), STARTTLS(SSL).
 .
 This package is to make installation/upgrading easier (Do NOT delete it)
 .
Homepage: http://www.sendmail.org

Package: sendmail-base
Architecture: all
Section: mail
Depends: m4, make, adduser, ${perl:Depends}
Suggests: sendmail-doc, ca-certificates, logcheck, logrotate, resolvconf
Description: powerful, efficient, and scalable Mail Transport Agent
 Sendmail is an alternative Mail Transport Agent (MTA) for
 Debian. It is suitable for handling sophisticated mail
 configurations, although this means that its configuration
 can also be complex.
 .
 This package contains the base, architecture independent, portions
 of the sendmail packages.
 .
Homepage: http://www.sendmail.org

Package: sendmail-cf
Architecture: all
Section: mail
Suggests: sendmail-doc
Depends: m4
Description: powerful, efficient, and scalable Mail Transport Agent
 Sendmail is an alternative Mail Transport Agent (MTA) for
 Debian. It is suitable for handling sophisticated mail
 configurations, although this means that its configuration
 can also be complex.
 .
 This package contains the .m4 (configuration files) for the
 sendmail packages.
 .
Homepage: http://www.sendmail.org

=== debian/rules ===
#!/usr/bin/make -f
#------------------------------------------------------------------------------
# vim: syntax=make
#
# $Sendmail: rules,v 8.14.1  2007-05-27 18:30:00 cowboy Exp $
#------------------------------------------------------------------------------

# CDBS crud
#include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
# Overridden below, but needed now
#DEB_TAR_SRCDIR := .
#include /usr/share/cdbs/1/rules/tarball.mk

# Determine architecture
DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)

# Make it even harder to exploit sendmail.
# Well, almost impossible now 8-)
# * Compile all with -fPIC (works for pic or pie objects)
# * Link with either -pie or -shared
ifeq ($(DEB_HOST_GNU_CPU),arm)
	MY_CFLAGS := -fPIC
else
	MY_CFLAGS := -fPIC -fstack-protector-all
	endif
CFLAGS += ${MY_CFLAGS}
export CFLAGS
MY_LDFLAGS := -Wl,-z,noexecstack,-z,relro,-z,now -Wl,--warn-shared-textrel
LDFLAGS += -pie ${MY_LDFLAGS}
export LDFLAGS

# Obtain package/version information from the path (debian/changelog is walkabout)
ifneq (y, $(shell test -f debian/changelog && echo 'y'))
	DIRNAME = $(shell basename $(CURDIR))
	DEB_SOURCE_PACKAGE = $(shell expr "$(DIRNAME)" : '\(.*\)-')
	DEB_VERSION = $(shell expr "$(DIRNAME)" : '.*-\(.*\)')
	DEB_NOEPOCH_VERSION = $(shell echo $(DEB_VERSION) | cut -d: -f2-)
	DEB_UPSTREAM_VERSION = $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
	endif

# strip of a optionally added data (ie: upstream+cvs-debian)
DEB_UPSTREAM_TARBALL_VERSION := $(shell echo $(DEB_UPSTREAM_VERSION) | sed 's/+[^-]*//')
DEB_TAR_SRCDIR := $(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_TARBALL_VERSION)
DEB_SRCDIR := build-tree/$(DEB_TAR_SRCDIR)
DEB_BUILDDIR := $(DEB_SRCDIR)
DEB_DESTDIR = debian/$(DEB_SOURCE_PACKAGE)
DEB_DBG_PACKAGES = libmilter$(sm_libmilter_version)-dbg
DEB_DBG_PACKAGE_libmilter$(sm_libmilter_version) = libmilter$(sm_libmilter_version)-dbg
DEB_DH_INSTALL_CRON_ARGS = --name=$(DEB_SOURCE_PACKAGE)
DEB_DH_INSTALLINIT_ARGS  = --name=$(DEB_SOURCE_PACKAGE)
DEB_UPDATE_RCD_PARAMS    = --update-rcd-params="defaults 21 19"
# autoconf/make are mine, not upstream (yet) :(
DEB_CONFIGURE_LIBEXECDIR ="\$${prefix}/lib/sm.bin"
DEB_AC_AUX_DIR = $(CURDIR)/debian/build
DEB_CONFIGURE_SCRIPT = $(CURDIR)/debian/configure
DEB_CONFIGURE_INVOKE = cd $(CURDIR)/debian \
	&& $(DEB_CONFIGURE_SCRIPT_ENV) $(DEB_CONFIGURE_SCRIPT) $(DEB_CONFIGURE_NORMAL_ARGS)
DEB_MAKE_INVOKE =
DEB_MAKE_BUILD_TARGET =
DEB_MAKE_INSTALL_TARGET =
DEB_INSTALL_CHANGELOGS_ALL = $(DEB_SRCDIR)/RELEASE_NOTES

version_string := ${DEB_VERSION}
version_full   := $(shell expr "${version_string}" : '\([^-]*\)')
version_debian := $(shell expr "${version_string}" : '.*\(-.*\)$$')
version		   := ${version_full}
version_major  := $(shell expr "${version_full}" : '\([0-9]*\.[0-9]*\)')
version_minor  := $(shell expr "${version_full}" : '[0-9]*\.[0-9]*\.\(.*\)')
ifneq (, $(findstring +,${version_minor}))
	beta_version := $(shell expr "${version_full}" : '.*[+~]\([0-9.].*\)')
	beta_major := $(shell expr "${beta_version}" : '\([0-9]*\.[0-9]*\)')
	beta_minor := $(shell expr "${beta_version}" : '[0-9]*\.[0-9]*\.\(.*\)')
	ifneq (, $(beta_version))
		version        := ${beta_version}
		version_major  := ${beta_major}
		version_minor  := ${beta_minor}
		endif
	endif

# Some variables that should be removed in favour of DEB_* above
SRC_DIR    := $(CURDIR)/debian
PKG_DIR    := debian/${DEB_SOURCE_PACKAGE}-bin
PKG_DOC     = debian/${DEB_SOURCE_PACKAGE}-doc${docdir}/${DEB_SOURCE_PACKAGE}-doc
SM_SUBDIRS := editmap libmilter mail.local mailstats \
		makemap praliases rmail sendmail smrsh vacation

# We want delayed interpretation of the options !
ifeq (y, $(shell test -x /usr/bin/debuild && echo 'y'))
	DEB_BUILD = \
		DEB_BUILD_OPTIONS="${DEB_BUILD_OPTIONS}" \
		debuild
else
	DEB_BUILD = \
		DEB_BUILD_OPTIONS="${DEB_BUILD_OPTIONS}" \
		dpkg-buildpackage
	endif

# Now that all that is out of the way, read the desired configuration
# settings
CONF_NAME = debian/configure.options
$(eval CONFIG_OPTS := $(shell grep -v "^\#" ${CONF_NAME}))
DEB_CONFIGURE_EXTRA_FLAGS = $(CONFIG_OPTS)

# Include Debian Autoconf settings
ifeq (y, $(shell test -e debian/build/autoconf.mk && echo 'y'))
	include debian/build/autoconf.mk
else
	ifeq (y, $(shell test -e build/autoconf.mk && echo 'y'))
		include build/autoconf.mk
	else
		include debian/build/autoconf.mk.in
		endif
	endif

include /usr/share/cdbs/1/rules/tarball.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
DEB_PATCHDIRS = $(CURDIR)/debian/patches/${version_major}/${version_full}

# Default rule
all::
	@echo 'Please specify a real target in the future...';
	$(MAKE) -f debian/rules \
		DEB_BUILD_OPTIONS="${DEB_BUILD_OPTIONS}" \
		binary;


#-------------
# Normalize CDBS rules
.PHONY: unpack
unpack:: pre-build
.PHONY: configure
configure:: common-configure-arch common-configure-indep


#-------------
# Maintainer only rule... copy external debian directory here
.PHONY: refresh-debian
refresh-debian::
	@dh_testdir;
	@echo 'updating debian directory ...';
	sudo $(RM) -r debian;
	sudo cp -a ../debian ./;
	sudo $(RM) -rf ${_cdbs_tarball_dir};
	# Remove local testing configuration
	# Make sure directories are writeable by the owner (mine aren't)
	chmod -R ug+w debian;
	-(cd debian && aclocal -I ./build);
	-(cd debian && autoconf);
	-(cd debian && automake);
	# Force a configure here, using $(CURDIR) so the changelog, etc.
	# wind up with the right version numbers
	$(MAKE) -f debian/rules \
		DEB_BUILD_OPTIONS="${DEB_BUILD_OPTIONS}" \
		configure;
	# Need to save these
	/bin/mv -f debian/build/autoconf.mk \
		debian/build/autoconf.mk.save;
	/bin/mv -f debian/changelog \
		debian/changelog.save;
	-(cd debian && $(MAKE) distclean;)
	# Need to save these
	/bin/mv -f debian/build/autoconf.mk.save \
		debian/build/autoconf.mk;
	/bin/mv -f debian/changelog.save \
		debian/changelog;
	$(RM) -r debian/autom4te.cache;
	# Remove pieces not needed for further building
	find debian/patches -type d -a ! -name 'patches' \
		-a ! -name "${version_major}" \
		-a ! -name "${DEB_UPSTREAM_TARBALL_VERSION}" \
		| xargs -r $(RM) -r;
	$(RM) -r debian/bugs debian/private;
	/usr/bin/find debian -type f -name '*.am' | xargs -r $(RM);
	$(RM) \
		debian/aclocal.m4 \
		debian/build/*.m4;
	$(MAKE) -f debian/rules clean-debian;


#-------------
# Maintainer only rule... cleanup & setup for general package
.PHONY: clean-debian
clean-debian::
	@echo 'cleaning debian directory...';
	#-(cd debian && $(MAKE) -f Makefile maintainer-clean;)
	#-(cd debian && $(MAKE) -f Makefile distclean;)
	find debian -name '*~' -o -name '\.*\.swp' \
			| xargs -r $(RM);
	$(RM) debian/*.sav debian/build/*.sav;
	$(RM) debian/stamp-*;

#-------------
# Maintainer only rule... must be run in external debian directory
.PHONY: refresh-faq
refresh-faq::
	@echo 'Refreshing FAQ'
	@chmod u+w faq.txt;
	(wget --passive-ftp --timestamping \
		--cache=off http://www.sendmail.org/faq/faq.txt;);
	@chmod a-w faq.txt;
	@echo 'Refreshing Misc'
	@chmod u+w cf/feature/rhsbl.m4;
	(cd cf/feature && wget --passive-ftp --timestamping \
		--cache=off http://www.megacity.org/software_downloads/rhsbl.m4;);
	@chmod u-w cf/feature/rhsbl.m4;


#-------------
.PHONY: world
world::
	# Debian build daemons don't (for the nonce) support build-indep,
	# so this rule allows *me* to build both arch and indep portions
	# of sendmail in one go (so I don't forget).
	@dh_testdir;
	${DEB_BUILD};

#------------------------------------------------------------------------------
# Build/Package check rules
#------------------------------------------------------------------------------
#-------------
.PHONY: info
info:
	#--------------------------------------------------------------------
	# The following information will be used for this run:
	#	Source	   = ${DEB_SOURCE_PACKAGE}
	#	Package    = ${DEB_SOURCE_PACKAGE} ${DEB_VERSION}
	#	             ${version_string}${sm_custom_s}${version_debian}

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

# Line continuations are performed with \
# Full-site-with-pattern  [Version  [Action]]
opts=pasv ftp://ftp.sendmail.org/pub/sendmail/sendmail\.(.*)\.tar\.gz debian 
opts=pasv ftp://ftp.sendmail.org/pub/sendmail/sendmail\.(.*)\.tar\.gz\.sig debian
